TRACKER3-RESET(1)

NAME
tracker3-reset - Reset the index and configuration

SYNOPSIS

tracker3 reset [--filesystem | --rss] [--file FILE]

DESCRIPTION

The reset command will change either your configuration or index irreversibly and should be used with care. Other than tags, actual data (e.g. files) should not be affected by this command.

The "index" is a link between your content (either locally or remotely) and how it can be found quickly using a number of different queries. Under the hood, this is done using a database.

Removing all data and starting again from the beginning with an empty data set (which is a common use of this command) is done by using the hard reset option. This behaves as if Tracker was just installed.

OPTIONS

-s, --filesystem
    Removes data stored by tracker-miner-fs(1). The miner will automatically recreate its cache from the filesystem when it restarts.

-r, --rss
    Removes data stored by tracker-miner-rss(1).

-f, --file FILE
    Resets all indexed information about FILE, works recursively for directories. Nothing will be done if FILE is not currently indexed. After deletion, a request to reindex this data will be immediately issued.

SEE ALSO

tracker3-daemon(1). tracker-miner-fs-3(1), tracker-miner-rss-3(1).